From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Cc: Klemens Nanni <klemens@posteo.de>
Subject: [PATCH] chat.tmux.conf: Ensure UTF-8 encoding, improve respawn, fix comment
Date: Tue,  2 Feb 2021 01:17:13 +0100
Message-Id: <20210202001713.15034-1-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

Only respawn the pane not the entire window to avoid killing other
possibly existing panes in the same window.
---
 scripts/chat.tmux.conf | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/scripts/chat.tmux.conf b/scripts/chat.tmux.conf
index 5307136..6d7e2b0 100644
--- a/scripts/chat.tmux.conf
+++ b/scripts/chat.tmux.conf
@@ -3,6 +3,9 @@
 # not interfering with existing servers/sessions/configurations
 new-session -t chat
 
+# make ncurses render non-ASCII correctly
+set-environment	-- LC_CTYPE	en_US.UTF-8
+
 # intuitive navigation
 set-option -g	-- mode-keys	vi
 set-option -g	-- mouse	on
@@ -27,12 +30,12 @@ set-hook -g	-- pane-died	respawn-pane
 bind-key -n -N 'confirm INTR key'	-- C-c	\
 	confirm-before -p 'Send ^C? (y/N)'	-- 'send-keys	-- C-c'
 
-# intuitive refresh, just don't spam it ;-)
+# one-click version of default `C-b w' (shows preview windows)
 bind-key -n -N 'pick chat network'	-- F1	choose-tree -Z
 
-# one-click version of default `C-b w' (shows preview windows)
+# intuitive refresh, just don't spam it ;-)
 bind-key -n -N 'reconnect network'	-- F5	\
-	confirm-before -p 'reconnect network? (y/N)'	-- 'respawn-window -k'
+	confirm-before -p 'reconnect network? (y/N)'	-- 'respawn-pane -k'
 
 # immersive mode ;-)
 bind-key -n -N 'toggle fullscreen'	-- F11	set status
-- 
2.30.0


